package com.dsic.gj_erp.service.jcsj;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsic.gj_erp.bean.jcsj.DmBom;
import com.dsic.gj_erp.bean.jcsj.vo.BomVO;
import com.dsic.gj_erp.exception.CustomException;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xn
 * @since 2023-09-25
 */
public interface DmBomService extends IService<DmBom> {

    List<DmBom> getBomWithYlbs(String dcCh,String dcPl);
    List<BomVO>getListBom(HttpServletRequest req, Map map) throws CustomException;
    List<DmBom>getListBomRealy(HttpServletRequest req, Map map) throws CustomException;
    void  insertBoms(List<DmBom> map) throws CustomException;

    void copyListBom(HttpServletRequest req, Map map);

}
